Bug 729665 - [ipa webui] Checking/Unchecking "Hide already enrolled" doesn't change list;
Summary: [ipa webui] Checking/Unchecking "Hide already enrolled" doesn't change list;
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:48 UTC by Namita Soman
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Clikcing on/off the Hide already enrolled checkbox when adding/removing members from a group. Consequence: It has no effect. Fix: It is not possible to re-add members to a group so this checkbox was a no-op. Result: The checkbox was removed.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-08-10 13:48:46 UTC
Description of problem:
In HBAC Rules - all users/user groups/hosts/host groups are listed on the available side - even after some of these objects have been enrolled previously.

The enrolled objects are not listed on the Prospective side. How can they be unenrolled?

Checking/Unchecking "Hide already enrolled" doesn't change list on either side.

Seeing the same behaviour in User groups, Host groups, Hosts...where "Hide already enrolled" checkbox is available.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-6.20110802T0644zgit6f6679e.el6.x86_64

How reproducible:
always


Steps to Reproduce:
1. add 3 users
2. Go to - Policy - HBAC Rules
2. Add a rule, edit it
3. In "Who" section, click on Add for users
4. Select a user, and enroll
5. Click on Add again (The user enrolled is not listed on Prospective side)
6. Uncheck/Check "Hide already enrolled" (the list on Available or Prospective list doesn't change)
7. Without a user listed on Prospective side, cannot choose a user to unenroll
8. Can click to enroll same user from Available list multiple times....and no message indicates that this user is already enrolled

9. Same behaviour when adding user groups, adding host categories. adding service categories. 
10. Same behaviour - when enrolling members in usergroups, hostgroups
  
Actual results:
The user enrolled is not listed on Prospective side
Unchecking/Checking "Hide already enrolled" doesn't change the list on Available or Prospective list

Expected results:
The user enrolled should be listed on Prospective side
Unchecking/Checking "Hide already enrolled" should change the list on Available list
List enrolled users in Prospective list...to allow choosing a user from this list, and clicking << to unenroll

Additional info:
bug 726751 refers to this behaviour in its details, but mainly addresses a separate error.

Comment 2 Dmitri Pal 2011-08-15 14:50:18 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1638

Comment 3 Martin Kosek 2011-08-24 12:24:25 UTC
Fixed upstream:
master: 6bf90a472b408ef46fbfc0d8d72fa6bd8f982e61
ipa-2-1: 1603eb03f3196b2114813c85514832b3612a9bf6

Comment 5 Namita Soman 2011-10-11 18:03:18 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
"Hide already enrolled" checkbox is not available anymore

Comment 6 Rob Crittenden 2011-11-01 13:13:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Clikcing on/off the Hide already enrolled checkbox when adding/removing members from a group.
Consequence: It has no effect.
Fix: It is not possible to re-add members to a group so this checkbox was a no-op.
Result: The checkbox was removed.

Comment 7 errata-xmlrpc 2011-12-06 18:29:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.